{"components":{"schemas":{"BadRequest":{"description":"Returned when something is wrong in the request, e.g. failed argument validation or missed argument","properties":{"attributes":{"description":"Invalid attributes","items":{"$ref":"#/components/schemas/RequestAttribute"},"type":"array"},"error":{"default":"BadRequest","description":"Error name","type":"string"},"message":{"default":"Required arguments are missing in the request","description":"Description of the request error","type":"string"}},"type":"object"},"FetchLegalDocumentUri":{"properties":{"documentId":{"description":"Id of document","type":"string"},"downloadLink":{"type":"string","writeOnly":true},"fileExtension":{"description":"Document file extension","type":"string"},"fileName":{"description":"Document file name","type":"string"}},"type":"object"},"FetchReportDocumentUriResults":{"description":"Roaring Group fetch report document uri results","properties":{"records":{"description":"fetched report document uri results","items":{"$ref":"#/components/schemas/FetchLegalDocumentUri"},"type":"array"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"FetchReportRequestBody":{"description":"Request body for fetching report document","properties":{"createdByEmail":{"description":"Created by email","type":"string"},"createdByName":{"description":"Created by name","type":"string"},"language":{"description":"Language","enum":["en","sv","no","da"],"type":"string"},"sanctionOrg":{"description":"Sanction orgs","items":{"description":"Sanction orgs","type":"string"},"type":"array"}},"type":"object"},"RequestAttribute":{"description":"Incorrect attribute of request","properties":{"attribute":{"description":"Parameter name","type":"string"},"value":{"description":"Parameter value, subject for validation","type":"string"}},"type":"object"},"SearchResultStatus":{"description":"Description of search result","properties":{"code":{"description":"0 - found, 1 - not found","format":"int32","type":"integer"},"text":{"description":"search result description","type":"string"}},"type":"object"},"ServerError":{"description":"Internal server error","properties":{"error":{"default":"InternalServerError","description":"Error name","type":"string"},"message":{"default":"An internal server error occurred, please contact the system administrator with information on the error","description":"Description of the request error","type":"string"}},"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"Fetch PDF reports for a swedish company\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"Company Reports","version":"1.0","x-logo":{"url":"https://assets.roaring.io/svg/company-reports-v3.1.svg"}},"openapi":"3.0.1","paths":{"/report/risk-evaluation/company/{companyId}":{"post":{"description":"Fetch PDF reports for a swedish company","operationId":"getRisk","parameters":[{"description":"national identifier for the company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FetchReportRequestBody"}}},"description":"request body","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FetchReportDocumentUriResults"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Fetch risk report for a company","tags":["ReportsSe"]}},"/report/aml-verification/company/{companyId}":{"post":{"description":"Fetch PDF reports for a swedish company","operationId":"getAmlReport","parameters":[{"description":"national identifier for the company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FetchReportRequestBody"}}},"description":"request body","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FetchReportDocumentUriResults"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Fetch AML report for a company","tags":["ReportsSe"]}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/se/company/reports/1.0"}],"x-category":"company","x-countries":["se"],"x-id":"ReportsApiSe"}